Open Lighting Architecture: ola::messaging::StringMessageBuilder Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::messaging::StringMessageBuilder Class Reference

## Detailed Description

This visitor builds a Message object from a list of strings.

Inheritance diagram for ola::messaging::StringMessageBuilder:

## Public Member Functions
| StringMessageBuilder (const std::vector< std::string > &input)
void | Visit (const BoolFieldDescriptor *)
void | Visit (const IPV4FieldDescriptor *)
void | Visit (const MACFieldDescriptor *)
void | Visit (const UIDFieldDescriptor *)
void | Visit (const StringFieldDescriptor *)
void | Visit (const IntegerFieldDescriptor< uint8_t > *)
void | Visit (const IntegerFieldDescriptor< uint16_t > *)
void | Visit (const IntegerFieldDescriptor< uint32_t > *)
void | Visit (const IntegerFieldDescriptor< int8_t > *)
void | Visit (const IntegerFieldDescriptor< int16_t > *)
void | Visit (const IntegerFieldDescriptor< int32_t > *)
void | Visit (const FieldDescriptorGroup *)
void | PostVisit (const FieldDescriptorGroup *)
Public Member Functions inherited from ola::messaging::FieldDescriptorVisitor
virtual bool | Descend () const =0

## Member Function Documentation

## ◆ PostVisit()

void ola::messaging::StringMessageBuilder::PostVisit | ( | const FieldDescriptorGroup * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const BoolFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const FieldDescriptorGroup * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< int16_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< int32_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< int8_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< uint16_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< uint32_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IntegerFieldDescriptor< uint8_t > * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const IPV4FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const MACFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const StringFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::messaging::StringMessageBuilder::Visit | ( | const UIDFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following file:

- include/ola/messaging/StringMessageBuilder.h